aboutsummaryrefslogtreecommitdiff
path: root/bin/snapshot
diff options
context:
space:
mode:
Diffstat (limited to 'bin/snapshot')
-rw-r--r--bin/snapshot10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/snapshot b/bin/snapshot
new file mode 100644
index 0000000..ea93e51
--- /dev/null
+++ b/bin/snapshot
@@ -0,0 +1,10 @@
+[ "$1" == "-d" ] && shift && APPEND="-`date +%Y%m%d_%H%M%S`"
+[ -z "$1" ] && echo "usage $0 [-d] <name>" && exit 1
+
+VER="$1$APPEND"
+
+# for autoconf patch in bin/predist
+export PDP_DIST_VERSION=$VER
+
+# create archive
+exec darcs dist -d "pdp-$VER"